<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure\Route;

final readonly class Handler
{
    /**
     * @param non-empty-string $handlerClass
     * @param non-empty-string $handlerMethod
     */
    public function __construct(
        public HttpMethod $method,
        public string $path,
        public string $handlerClass,
        public string $handlerMethod,
    ) {
    }
}
