<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure\WebApp\Request;

use Lubian\AttributeMagic\Infrastructure\Event\GenericEvent;
use Lubian\AttributeMagic\Infrastructure\Route\Handler;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

final class RequestEvent extends GenericEvent
{
    public function __construct(
        public Request $request,
        public Response|null $response = null,
        public Handler|null $handler = null
    ) {
    }
}
