<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure\WebApp\Route;

use Lubian\AttributeMagic\Infrastructure\Event\GenericEvent;
use Lubian\AttributeMagic\Infrastructure\Route\Handler;

final class CollectRoutes extends GenericEvent
{
    /**
     * @var Handler[]
     */
    public array $routes = [];

    public function __construct(
        public readonly bool $cached = false,
    ) {
    }
}
