<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure;

use function array_filter;
use function array_values;

/**
 * @template T
 * @param array<T> $input
 * @return array<int, T>
 */
function arrayFilter(
    array $input,
    callable $callable
): array {
    return array_values(
        array_filter(
            $input,
            $callable,
        )
    );
}
