<?php declare(strict_types=1);

use Lubiana\CodeQuality\LubiSetList;
use Symplify\EasyCodingStandard\Config\ECSConfig;

return static function (ECSConfig $c): void {
    $c->parallel();
    $c->paths([
        __DIR__ . '/src',
        __DIR__ . '/config',
        __DIR__ . '/ecs.php',
        __DIR__ . '/rector.php',
    ]);

    $c->sets([
        LubiSetList::ECS,
    ]);
};
