<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure\Event;

use Attribute;

#[Attribute(Attribute::TARGET_METHOD)]
final readonly class AsListener
{
    /**
     * @param class-string $eventClass
     * @param int<-100, 100> $priority
     */
    public function __construct(
        public string $eventClass,
        public int $priority = 0,
    ) {
    }
}
