<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure\Event;

final readonly class Listener
{
    /**
     * @param class-string $eventClass
     * @param int<-100, 100> $priority
     * @param class-string $listenerClass
     * @param non-empty-string $listenerMethod
     */
    public function __construct(
        public string $eventClass,
        public int $priority,
        public string $listenerClass,
        public string $listenerMethod,
    ) {
    }
}
