<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure\Route;

use Attribute;

#[Attribute(Attribute::TARGET_METHOD)]
final readonly class AsHandler
{
    /**
     * @param non-empty-string $path
     */
    public function __construct(
        public HttpMethod $method,
        public string $path,
    ) {
    }
}
